<div class="container">
  <h1>Login form:</h1>
  <form [formGroup]="loginForm" #formDir="ngForm">
    <input type="email" id="nom" placeholder="nom" formControlName="nom" required><br>
     @if (loginForm.controls['nom']?.invalid && (loginForm.controls['nom']?.dirty || loginForm.controls['nom']?.touched)){
       @if (loginForm.controls['nom']?.errors?.['required']){
         <div class="alert alert-danger">Nom és obligatori</div>
       }
       @if (loginForm.controls['nom']?.errors?.['minlength']){
         <div class="alert alert-danger">El nom ha de tenir almenys 3 caràcters.</div>
       }
     }
    <input type="password" placeholder="Password" formControlName="password" required><br>
    @if (loginForm.controls['password']?.invalid && (loginForm.controls['password']?.dirty || loginForm.controls['password']?.touched)){
      @if (loginForm.controls['password']?.errors?.['required']){
        <div class="alert alert-danger">Password is required.</div>
      }
      @if (loginForm.controls['password']?.errors?.['minlength']){
        <div class="alert alert-danger">Password needs at least 3 characters.</div>
      }
      @if (loginForm.controls['password']?.errors?.['passwordStrength']){
        <div class="alert alert-danger">The password must have numbers, uppercases and lowercases</div>
      }
    }
  </form>
  <button type="button" (click)="login()" [disabled]="loginForm.invalid">Logejar!</button>
  <p class="text-success">{{message}}</p>
</div>
